Get Users by Reference Id
GET /v1/reservations/users/reference/{referenceId}
Gets all users and authorized reservation resources connected to a given reference id.
Headers
Authorization
Bearer <token>
x-api-key
<api key>
Parameters
referenceId string path parameter (required)
The reference id as specified in VAKA on the user group.
includeReservationResources boolean path parameter (optional, default value: true)
Indicates if authorized reservation resources should be included (true) or not (false) on each user.
Response
200 OK
A list containing details about each user.
Body
userAccounts array of objects
A list of UserAccount objects.
Show UserAccount attributes
Represents a user.
deviceId string(uuid)
Identifier of the VAKA system the user belongs to.
userId string(uuid)
Unique identifier of the user.
namestring
The name of the user.
email string
The email address connected to the user.
userGroupId string(uuid)
Identifier of the user group the user belongs to.
reservationResources array of string(uuid)
A list of reservation resource identifiers for each resource authorized to the user.
Last updated